Я использую приложение Android AIDE для создания приложения для Android. Прежде чем я сбросил настройки своего Android до заводских, у меня были загружены и установлены все библиотеки google, android и firebase. Но после сброса настроек, когда я снова устанавливаю приложение AIDE, оно загружает только библиотеку Google и firebase. И когда я помещаю зависимость firebase в build gradle, она не загружает для меня библиотеку firebase. Пожалуйста, помогите мне в этом случае.

Вот мой градиент сборки:

apply plugin: 'com.android.application'

android {
compileSdkVersion 21
buildToolsVersion "21.1.0"

defaultConfig {
    applicationId "com.rb.aagrikoli"
    minSdkVersion 18
    targetSdkVersion 25
    versionCode 1
    versionName "1.0"
}
buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
}}
dependencies {
compile 'com.google.android.gms:play-services-ads:+'
compile 'com.google.firebase:firebase-auth:+'
compile 'com.android.support:cardview-v7:+'
compile 'com.android.support:support-v4:+'
compile 'com.android.support:appcompat-v7:+'
compile 'com.roughike:bottom-bar:2.3.1'
compile 'com.github.bumptech.glide:glide:4.7.1'

compile fileTree(dir: 'libs', include: ['*.jar'])
}
apply plugin: 'com.google.gms.google-services'
0
Rakesh Bhagat 31 Окт 2018 в 07:46

1 ответ

Лучший ответ

Вы должны использовать последние версии всех библиотек в вашем файле gradle попробуйте заменить всю библиотеку, соответствующую вашему целевому SDK Также измените compileSdkVersion 21 buildToolsVersion "21.1.0" на 25 (то же самое с целевым SDK)

0
Noman Uddin 31 Окт 2018 в 04:54